## zurl 1.3.1

=== src/jdns/CMakeLists.txt ===
project(jdns)

# Force cmake 2.8.8 in order to have a decent support of Qt5
cmake_minimum_required(VERSION 2.8.8)
cmake_policy(SET CMP0003 NEW)

# Do not link against qtmain on Windows
cmake_policy(SET CMP0020 OLD)

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
 set(CMAKE_DEBUG_POSTFIX "_debug")
endif(WIN32)

# OPTION(OSX_FRAMEWORK "Build a Mac OS X Framework")
# SET(FRAMEWORK_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/Library/Frameworks"
#     CACHE PATH "Where to place jdns.framework if OSX_FRAMEWORK is selected")

option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_QJDNS "Buid JDNS Qt-wrapper" ON)
option(BUILD_JDNS_TOOL "Build jdns test tool" ON)

# jdns tool requires qjdns
if(NOT BUILD_QJDNS)
  set(BUILD_JDNS_TOOL OFF)
endif(NOT BUILD_QJDNS)

if(NOT BUILD_SHARED_LIBS)
  add_definitions(-DJDNS_STATIC)
endif(NOT BUILD_SHARED_LIBS)

if(BUILD_QJDNS)
  option(QT4_BUILD "Force building with Qt4 even if Qt5 is found")
  if(NOT QT4_BUILD)
    find_package(Qt5Core QUIET)
    find_package(Qt5Network QUIET)
  endif(NOT QT4_BUILD)

  if(Qt5Core_FOUND)
    message("Qt5 found")

    include_directories(${Qt5Core_INCLUDE_DIRS})
    include_directories(${Qt5Network_INCLUDE_DIRS})
    add_definitions(${Qt5Core_DEFINITIONS})
    add_definitions(${Qt5Network_DEFINITIONS})

    # Tell CMake to run moc when necessary:
    set(CMAKE_AUTOMOC ON)
    # As moc files are generated in the binary dir, tell CMake
    # to always look for includes there:
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
  else(Qt5Core_FOUND)
    message("Qt5 not found, searching for Qt4")
    # Find Qt4
    find_package(Qt4 REQUIRED QtCore QtNetwork)

    # Include the cmake file needed to use qt4
    include(${QT_USE_FILE})
  endif(Qt5Core_FOUND)

  if(NOT WIN32)
    set(QT_DONT_USE_QTGUI TRUE)
  endif(NOT WIN32)
endif(BUILD_QJDNS)

# put the include dirs which are in the source or build tree
# before all other include dirs, so the headers in the sources
# are prefered over the already installed ones
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

set(JDNS_INCLUDEDIR "${CMAKE_CURRENT_SOURCE_DIR}/include/jdns" )


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
# set(CMAKECONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/${CMAKE_PROJECT_NAME}" CACHE PATH "Directory where to install QJDNSConfig.cmake")

if(APPLE)
   set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
endif(APPLE)

set(JDNS_LIB_MAJOR_VERSION "2")
set(JDNS_LIB_MINOR_VERSION "0")
set(JDNS_LIB_PATCH_VERSION "0")

set(JDNS_LIB_VERSION_STRING "${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin" )
# Use the same path for shared and static library
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )


# pkg-config
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/jdns.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/jdns.pc
                 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/jdns.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qjdns.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/qjdns.pc
                 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qjdns.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

include_directories("include/jdns/")

# Subdirs
add_subdirectory(src)

if(BUILD_JDNS_TOOL)
  add_subdirectory(tools/jdns)
endif(BUILD_JDNS_TOOL)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

# install(EXPORT qjdns-export DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE QJDNSTargets.cmake)

# figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
# This relative path will be configured into the QJDNSConfig.cmake
# file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )

# cmake-modules
# configure_file(${CMAKE_CURRENT_SOURCE_DIR}/QJDNSConfig.cmake.in
#                ${CMAKE_CURRENT_BINARY_DIR}/QJDNSConfig.cmake
#                @ONLY)
# configure_file(${CMAKE_CURRENT_SOURCE_DIR}/QJDNSConfigVersion.cmake.in
#                ${CMAKE_CURRENT_BINARY_DIR}/QJDNSConfigVersion.cmake
#                @ONLY)
# install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QJDNSConfig.cmake
#               ${CMAKE_CURRENT_BINARY_DIR}/QJDNSConfigVersion.cmake
#         DESTINATION "${CMAKECONFIG_INSTALL_DIR}")

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/jdns/src/jdns/CMakeLists.txt ===
set(jdns_SRCS
    jdns.c
    jdns_mdnsd.c
    jdns_packet.c
    jdns_sys.c
    jdns_util.c
)


set(jdns_PUBLIC_HEADERS
    "${JDNS_INCLUDEDIR}/jdns.h"
    "${JDNS_INCLUDEDIR}/jdns_export.h"
)

set(jdns_HEADERS
    jdns_packet.h
    jdns_mdnsd.h
    jdns_p.h
)

add_library(jdns ${jdns_SRCS} ${jdns_HEADERS} ${jdns_PUBLIC_HEADERS})

if(WIN32)
  target_link_libraries(jdns Ws2_32 Advapi32)
endif(WIN32)

if(NOT android)
  set_target_properties(jdns PROPERTIES
                        VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                        SOVERSION ${JDNS_LIB_MAJOR_VERSION}
  )
endif()
set_target_properties(jdns PROPERTIES
                      DEFINE_SYMBOL JDNS_MAKEDLL
                      PUBLIC_HEADER "${jdns_PUBLIC_HEADERS}"
#                     FRAMEWORK ${OSX_FRAMEWORK}
)

install(TARGETS jdns
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
#       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
)

if(MSVC)
  get_target_property(LOCATION jdns LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${LIB_INSTALL_DIR} CONFIGURATIONS Debug)

  get_target_property(LOCATION jdns LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${LIB_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
endif(MSVC)

=== src/jdns/src/qjdns/CMakeLists.txt ===
set(qjdns_MOC_HDRS
    "${JDNS_INCLUDEDIR}/qjdns.h"
    "${JDNS_INCLUDEDIR}/qjdnsshared.h"
    qjdns_p.h
    qjdnsshared_p.h
)

if(NOT Qt5Core_FOUND)
  qt4_wrap_cpp(qjdns_MOC_SRCS ${qjdns_MOC_HDRS})
endif()

set(qjdns_SRCS
    qjdns.cpp
    qjdns_sock.cpp
    qjdnsshared.cpp
)

set(qjdns_PUBLIC_HEADERS
    "${JDNS_INCLUDEDIR}/qjdns.h"
    "${JDNS_INCLUDEDIR}/qjdnsshared.h"
)

set(qjdns_HEADERS
    qjdns_sock.h
)

add_library(qjdns ${qjdns_SRCS} ${qjdns_MOC_SRCS} ${qjdns_MOC_HDRS} ${qjdns_PUBLIC_HEADERS})
if(Qt5Core_FOUND)
  target_link_libraries(qjdns ${Qt5Core_LIBRARIES} ${Qt5Network_LIBRARIES})
else(Qt5Core_FOUND)
  target_link_libraries(qjdns ${QT_LIBRARIES})
endif(Qt5Core_FOUND)
target_link_libraries(qjdns jdns)

if(NOT android)
  set_target_properties(qjdns PROPERTIES
                        VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                        SOVERSION ${JDNS_LIB_MAJOR_VERSION}
  )
endif()
set_target_properties(qjdns PROPERTIES
                      DEFINE_SYMBOL JDNS_MAKEDLL
                      PUBLIC_HEADER "${qjdns_PUBLIC_HEADERS}"
#                     FRAMEWORK ${OSX_FRAMEWORK}
)

install(TARGETS qjdns
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
#       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
)

if(MSVC)
  get_target_property(LOCATION qjdns LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin CONFIGURATIONS Debug)

  get_target_property(LOCATION qjdns LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin CONFIGURATIONS RelWithDebInfo)
endif(MSVC)

## zurl 1.0.0

=== debian/changelog ===
zurl (1.0.0-1) unstable; urgency=low

  * New upstream release
    - Change in network protocol:
      prefix all packets with T to indicate tnetstring

 -- Jan Niehusmann <jan@debian.org>  Wed, 18 Sep 2013 14:51:23 +0200

zurl (1.0~20130725-1) unstable; urgency=low

  * Update upstream version.
    - use libcurl to do http requests
    - bugfixes
    - add openssl linking exception to license

 -- Jan Niehusmann <jan@debian.org>  Tue, 31 Jul 2013 08:26:14 +0200

zurl (1.0~20130704-1) unstable; urgency=low

  * Initial release (Closes: #715050)

 -- Jan Niehusmann <jan@debian.org>  Thu, 04 Jul 2013 22:17:39 +0200

=== debian/control ===
Source: zurl
Section: net
Priority: extra
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev (>= 4.7), libzmq-dev (>= 2.0), pkg-config, hardening-wrapper, libcurl4-openssl-dev
Standards-Version: 3.9.4
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://git.debian.org/users/jan/zurl.git
Vcs-Browser: http://git.debian.org/?p=users/jan/zurl.git;a=summary

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --verbose

## zurl 1.3.0

=== debian/changelog ===
zurl (1.3.0-4) unstable; urgency=low

  * Fix setting of CPPFLAGS in debian/rules (typo)

 -- Jan Niehusmann <jan@debian.org>  Fri, 11 Jul 2014 18:28:03 +0200

zurl (1.3.0-3) unstable; urgency=low

  * Update Vcs URL
  * Implement hardening using buildflags instead of hardening-wrapper
  * Add watch file from sepwatch
  * Add postrm script to remove /var/log/zurl.log on purge
  * Add prerm script to stop service when removing the package

 -- Jan Niehusmann <jan@debian.org>  Thu, 10 Jul 2014 22:33:24 +0200

zurl (1.3.0-2) unstable; urgency=low

  * Add start script and config.
  * Add logrotate config

 -- Jan Niehusmann <jan@debian.org>  Wed, 18 Jun 2014 23:17:04 +0200

zurl (1.3.0-1) unstable; urgency=low

  * new upstream release
  * Build against libzmq3 (closes: Bug#740417)
  * Set standards-version to 3.9.5 (no changes)

 -- Jan Niehusmann <jan@debian.org>  Sat, 01 Mar 2014 18:45:13 +0100

=== debian/control ===
Source: zurl
Section: net
Priority: extra
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.7), libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libqjson-dev
Standards-Version: 3.9.5
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/zurl.git;a=summary

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.

## zurl 1.3.1

=== debian/changelog ===
zurl (1.3.1-4) unstable; urgency=low

  * Disable failing test on kFreeBSD.
    The attempt to fix this in 1.3.1-3 failed. But as I can't reproduce
    the issue on the porter machines, I guess it's just an artifact
    of the network being unavailable on the buildds.

 -- Jan Niehusmann <jan@debian.org>  Sun, 12 Oct 2014 15:07:58 +0200

zurl (1.3.1-3) unstable; urgency=low

  * Set standards-version to 3.9.6 (no changes)
  * Use tcp port 2 instead of 1 to test 'connection refused' behaviour.
    (Maybe this fixes build error in kfreebsd buildds?)

 -- Jan Niehusmann <jan@debian.org>  Tue, 23 Sep 2014 22:21:21 +0200

zurl (1.3.1-2) unstable; urgency=low

  * Fix hardening flags (were not applied to all files)

 -- Jan Niehusmann <jan@debian.org>  Thu, 18 Sep 2014 20:31:18 +0200

zurl (1.3.1-1) unstable; urgency=low

  * New upstream release, 1.3.1

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Sep 2014 21:40:59 +0200

## zurl 1.4.2

=== debian/changelog ===
zurl (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Mon, 22 Jun 2015 15:48:12 +0200

=== debian/watch ===
version=3
https://github.com/fanout/zurl/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|zurl(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## zurl 1.4.7

=== debian/changelog ===
zurl (1.4.7-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Mon, 06 Jul 2015 22:42:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jan Niehusmann <jan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.7), libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libqjson-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/zurl.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+Q_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+Q_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(Q_CPPFLAGS)
+Q_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(Q_CPPFLAGS)
+Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS
 
 %:
 	dh $@

## zurl 1.4.8

=== debian/changelog ===
zurl (1.4.8-1) unstable; urgency=medium

  * New upstream version. (Fixes build on 32bit architectures)

 -- Jan Niehusmann <jan@debian.org>  Tue, 07 Jul 2015 21:53:10 +0200

## zurl 1.4.9

=== debian/changelog ===
zurl (1.4.9-1) unstable; urgency=medium

  * New upstream version.

 -- Jan Niehusmann <jan@debian.org>  Fri, 17 Jul 2015 16:24:18 +0200

## zurl 1.4.10

=== debian/changelog ===
zurl (1.4.10-1) unstable; urgency=medium

  * New upstream version
  * Update watch file

 -- Jan Niehusmann <jan@debian.org>  Thu, 24 Sep 2015 13:37:40 +0200

## zurl 1.5.0

=== debian/changelog ===
zurl (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Update build dependencies
  * Cherry-Pick upstream commit 6f727e9 to avoid installing unit test files

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Feb 2016 15:22:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.7), libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libqjson-dev
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\/:/\//,filenamemangle=s/\/:/\// \
https://dl.bintray.com/fanout/source/ \
(?::?zurl-)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## zurl 1.5.1

=== debian/changelog ===
zurl (1.5.1-1build1) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 19:20:59 +0000

zurl (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Set Standards-Version to 3.9.7
  * Fix lintian warning "command-with-path-in-maintainer-script"

 -- Jan Niehusmann <jan@debian.org>  Thu, 03 Mar 2016 23:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jan Niehusmann <jan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/zurl.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS
 
+export QT_SELECT=5
+
 %:
 	dh $@

## zurl 1.7.0

=== debian/changelog ===
zurl (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * Set INSTALL_ROOT when calling dh_auto_install

 -- Jan Niehusmann <jan@debian.org>  Fri, 28 Oct 2016 18:26:05 +0200

zurl (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * Set Standards-Version to 3.9.8 (no changes)
  * Build-Depend on libssl-dev

 -- Jan Niehusmann <jan@debian.org>  Mon, 05 Sep 2016 19:35:28 +0200

zurl (1.5.1-2) unstable; urgency=medium

  * Don't access the network during build. This disables a test
    for DNS error handling.
    (Closes: Bug#830283)

 -- Jan Niehusmann <jan@debian.org>  Thu, 07 Jul 2016 23:04:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libssl-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jan/zurl.git;a=summary

## zurl 1.7.1

=== debian/changelog ===
zurl (1.7.1-4) unstable; urgency=medium

  * Build-depend on libssl1.0-dev | libssl-dev (<< 1.1) and
    depend on libcurl3 (>> 7.51.0-1). (Closes: Bug#850881)
    The release team asked to revert the switch to OpenSSL 1.1
    for curl, and for packages depending on curl.
    The dependency on libcurl3 (>> 7.51.0-1) should make sure
    that the downgraded packages of both curl and zurl propagate
    to testing at the same time.

 -- Jan Niehusmann <jan@debian.org>  Wed, 11 Jan 2017 09:08:10 +0100

zurl (1.7.1-3) unstable; urgency=critical

  * Update Vcs-Browser URL
  * Build-depend on libssl-dev (>= 1.1) and depend on libcurl3 (>= 7.51.0).
    This fixes broken SSL support caused by an API incompatible change
    without SONAME change in libcurl3. (See #844018).
    Because curl 7.51.0-1 migrated to testing even though
    there was a new RC bug stating that it breaks other packages, zurl
    must be built with OpenSSL 1.1 as well.
  * Set urgency to critical because 1.7.1-2 gets broken by libcurl 7.51.0.

 -- Jan Niehusmann <jan@debian.org>  Sun, 01 Jan 2017 19:27:07 +0100

zurl (1.7.1-2) unstable; urgency=medium

  * Fix build on GNU Hurd.
    (GNU Hurd doesn't define PATH_MAX)

 -- Jan Niehusmann <jan@debian.org>  Thu, 17 Nov 2016 17:32:09 +0100

zurl (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Depend on lsb-base (>= 3.0-6) to fix lintian warning
    "init.d-script-needs-depends-on-lsb-base"
  * Switch dependency on libssl-dev to libssl1.0-dev.
    Must use the same version of OpenSSL as qt5.

 -- Jan Niehusmann <jan@debian.org>  Thu, 17 Nov 2016 14:53:20 +0100

=== debian/control ===
Source: zurl
Section: net
Priority: extra
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libssl1.0-dev | libssl-dev (<< 1.1)
Standards-Version: 3.9.8
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/jan/zurl.git

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), libcurl3 (>> 7.51.0-1)
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.

## zurl 1.8.0

=== debian/changelog ===
zurl (1.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Mon, 26 Jun 2017 13:44:07 +0200

## zurl 1.9.0

=== debian/changelog ===
zurl (1.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Tue, 07 Nov 2017 19:53:38 +0100

## zurl 1.9.1

=== src/jdns/src/qjdns/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,11 @@
 )
 
 add_library(qjdns ${qjdns_SRCS} ${qjdns_MOC_SRCS} ${qjdns_MOC_HDRS} ${qjdns_PUBLIC_HEADERS})
+
+if(QT_MAJ)
+  set_target_properties(qjdns PROPERTIES LIBRARY_OUTPUT_NAME "qjdns${QT_MAJ}")
+endif()
+
 if(Qt5Core_FOUND)
   target_link_libraries(qjdns ${Qt5Core_LIBRARIES} ${Qt5Network_LIBRARIES})
 else(Qt5Core_FOUND)
@@ -32,7 +37,7 @@
 endif(Qt5Core_FOUND)
 target_link_libraries(qjdns jdns)
 
-if(NOT android)
+if(NOT ANDROID)
   set_target_properties(qjdns PROPERTIES
                         VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                         SOVERSION ${JDNS_LIB_MAJOR_VERSION}
@@ -44,12 +49,23 @@
 #                     FRAMEWORK ${OSX_FRAMEWORK}
 )
 
-install(TARGETS qjdns
+set(INCLUDES_DESTINATION "")
+if("${CMAKE_VERSION}" VERSION_LESS "2.8.12")
+  if(USE_RELATIVE_PATHS)
+    target_include_directories(qjdns INTERFACE "${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR}/jdns")
+  else()
+    target_include_directories(qjdns INTERFACE "${INCLUDE_INSTALL_DIR}/jdns")
+  endif()
+else()
+  set(INCLUDES_DESTINATION INCLUDES DESTINATION "${INCLUDE_INSTALL_DIR}/jdns")
+endif()
+
+install(TARGETS qjdns EXPORT qjdns-export
         LIBRARY DESTINATION ${LIB_INSTALL_DIR}
         RUNTIME DESTINATION ${BIN_INSTALL_DIR}
         ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 #       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
-        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
+        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns" ${INCLUDES_DESTINATION}
 )
 
 if(MSVC)

=== debian/changelog ===
zurl (1.9.1-1ubuntu1) bionic; urgency=medium

  * Switch build-dependencies for OpenSSL 1.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 22:16:49 +0000

zurl (1.9.1-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:55:56 +0000

zurl (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Set standards-version to 4.1.2
  * Set priority to optional

 -- Jan Niehusmann <jan@debian.org>  Mon, 18 Dec 2017 22:19:46 +0100

=== debian/control ===
Source: zurl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev, libssl-dev
Standards-Version: 4.1.2
Homepage: https://github.com/fanout/zurl/
Vcs-Git: git://anonscm.debian.org/users/jan/zurl.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/jan/zurl.git

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,6 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --verbose
+
+override_dh_auto_install:
+	dh_auto_install -- INSTALL_ROOT="$(CURDIR)/debian/zurl"

## zurl 1.10.0

=== debian/changelog ===
zurl (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0

 -- Jan Niehusmann <jan@debian.org>  Mon, 31 Dec 2018 16:13:57 +0100

zurl (1.9.1-5) unstable; urgency=medium

  * Fix build with libcurl >= 7.62 (Closes: Bug#913379)

 -- Jan Niehusmann <jan@debian.org>  Sat, 10 Nov 2018 16:45:16 +0100

zurl (1.9.1-4) unstable; urgency=medium

  * Build-Depend on libcurl4-openssl-dev (>= 7.60.0-2), which is built
    against OpenSSL 1.1.

 -- Jan Niehusmann <jan@debian.org>  Tue, 29 May 2018 10:44:48 +0200

zurl (1.9.1-3) experimental; urgency=medium

  * Point Vcs-* to salsa repository
  * Set standards-version to 4.1.4

 -- Jan Niehusmann <jan@debian.org>  Sat, 12 May 2018 00:00:15 +0200

zurl (1.9.1-2) experimental; urgency=medium

  * Build against OpenSSL 1.1, using curl >= 7.58.0-3
    (Closes: Bug#859841)

 -- Jan Niehusmann <jan@debian.org>  Sat, 03 Mar 2018 13:33:46 +0100

## zurl 1.10.1

=== debian/changelog ===
zurl (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1

 -- Jan Niehusmann <jan@debian.org>  Sat, 30 Mar 2019 21:18:40 +0100

## zurl 1.11.0

=== src/jdns/CMakeLists.txt ===
project(jdns)

cmake_minimum_required(VERSION 2.8.11)
cmake_policy(SET CMP0003 NEW)

# Do not link against qtmain on Windows
cmake_policy(SET CMP0020 OLD)

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
 set(CMAKE_DEBUG_POSTFIX "_debug")
endif(WIN32)

# jdns can be used as bundled in this case need to explicity disable automoc
# to avoid duplicates of mocked files
set(CMAKE_AUTOMOC OFF)


# OPTION(OSX_FRAMEWORK "Build a Mac OS X Framework")
# SET(FRAMEWORK_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/Library/Frameworks"
#     CACHE PATH "Where to place jdns.framework if OSX_FRAMEWORK is selected")

option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_QJDNS "Buid JDNS Qt-wrapper" ON)
option(BUILD_JDNS_TOOL "Build jdns test tool" ON)

# jdns tool requires qjdns
if(NOT BUILD_QJDNS)
  set(BUILD_JDNS_TOOL OFF)
endif(NOT BUILD_QJDNS)

if(NOT BUILD_SHARED_LIBS)
  add_definitions(-DJDNS_STATIC)
endif(NOT BUILD_SHARED_LIBS)

if(BUILD_QJDNS)
  option(QT4_BUILD "Force building with Qt4 even if Qt5 is found")
  # On Linux in most cases (or always) can be cointstalled both Qt4 and Qt5.
  # Need to provide two versions of qjdns are Qt4 and Qt5-based.
  if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    option(MULTI_QT "Consider multiple Qt version on the system (add suffixes)" ON)
  else()
    option(MULTI_QT "Consider multiple Qt version on the system (add suffixes)" OFF)
  endif()

  if(NOT QT4_BUILD)
    find_package(Qt5Core QUIET)
    find_package(Qt5Network QUIET)
  endif(NOT QT4_BUILD)

  if(Qt5Core_FOUND)
    message("Qt5 found")

    include_directories(${Qt5Core_INCLUDE_DIRS})
    include_directories(${Qt5Network_INCLUDE_DIRS})
    add_definitions(${Qt5Core_DEFINITIONS})
    add_definitions(${Qt5Network_DEFINITIONS})

    # Tell CMake to run moc when necessary:
    set(CMAKE_AUTOMOC ON)
    # As moc files are generated in the binary dir, tell CMake
    # to always look for includes there:
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    set(QJDns_QT_PC_VERSION "Qt5Core Qt5Network")
    set(QT_MAJ "-qt5")
  else(Qt5Core_FOUND)
    message("Qt5 not found, searching for Qt4")
    # Find Qt4
    find_package(Qt4 REQUIRED QtCore QtNetwork)

    # Include the cmake file needed to use qt4
    include(${QT_USE_FILE})
    set(QJDns_QT_PC_VERSION "QtCore QtNetwork")
    set(QT_MAJ "-qt4")
  endif(Qt5Core_FOUND)

  if(NOT WIN32)
    set(QT_DONT_USE_QTGUI TRUE)
  endif(NOT WIN32)

  if(NOT MULTI_QT)
    set(QT_MAJ "")
  endif(NOT MULTI_QT)
endif(BUILD_QJDNS)


# put the include dirs which are in the source or build tree
# before all other include dirs, so the headers in the sources
# are prefered over the already installed ones
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

set(JDNS_INCLUDEDIR "${CMAKE_CURRENT_SOURCE_DIR}/include/jdns" )


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")

set(LIB_INSTALL_DIR_FULL "${LIB_INSTALL_DIR}")
set(INCLUDE_INSTALL_DIR_FULL "${INCLUDE_INSTALL_DIR}")

# Normalize paths for comparsion
get_filename_component(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} ABSOLUTE)
get_filename_component(BIN_INSTALL_DIR ${BIN_INSTALL_DIR} ABSOLUTE)
get_filename_component(LIB_INSTALL_DIR ${LIB_INSTALL_DIR} ABSOLUTE)
get_filename_component(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR} ABSOLUTE)

# if all paths are subdirs of CMAKE_INSTALL_PREFIX it is possible to use relative paths
set(USE_RELATIVE_PATHS ON)
foreach(PATH ${BIN_INSTALL_DIR} ${LIB_INSTALL_DIR} ${INCLUDE_INSTALL_DIR})
  string(FIND "${PATH}/" "${CMAKE_INSTALL_PREFIX}/" POS)
  if(NOT "${POS}" STREQUAL "0")
    set(USE_RELATIVE_PATHS OFF)
  endif()
endforeach()

if(USE_RELATIVE_PATHS)
  file(RELATIVE_PATH BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX} ${BIN_INSTALL_DIR})
  file(RELATIVE_PATH LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX} ${LIB_INSTALL_DIR})
  file(RELATIVE_PATH INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX} ${INCLUDE_INSTALL_DIR})
endif()

if(NOT MSVC)
  set(JDNS_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/jdns")
  set(QJDNS_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/qjdns${QT_MAJ}")
  set(QJDNS_COMMON_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/qjdns")
else(NOT MSVC)
  set(JDNS_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
  set(QJDNS_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
  set(QJDNS_COMMON_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
endif(NOT MSVC)

if(APPLE)
   set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
endif(APPLE)

set(JDNS_LIB_MAJOR_VERSION "2")
set(JDNS_LIB_MINOR_VERSION "0")
set(JDNS_LIB_PATCH_VERSION "3")

set(JDNS_LIB_VERSION_STRING "${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin" )
# Use the same path for shared and static library
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )


# pkg-config
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/jdns.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/jdns.pc
                 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/jdns.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

  if(BUILD_QJDNS)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qjdns.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/qjdns${QT_MAJ}.pc
                   @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qjdns${QT_MAJ}.pc
            DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
  endif(BUILD_QJDNS)
endif(NOT WIN32)

include_directories("include/jdns/")

# Subdirs
add_subdirectory(src)

if(BUILD_JDNS_TOOL)
  add_subdirectory(tools/jdns)
endif(BUILD_JDNS_TOOL)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

# cmake-modules
include(CMakePackageConfigHelpers)
configure_package_config_file(
  JDnsConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/JDnsConfig.cmake"
  INSTALL_DESTINATION ${JDNS_CONFIG_INSTALL_DIR}
  PATH_VARS BIN_INSTALL_DIR
            LIB_INSTALL_DIR
            INCLUDE_INSTALL_DIR)

write_basic_config_version_file(JDnsConfigVersion.cmake VERSION ${JDNS_LIB_VERSION_STRING} COMPATIBILITY AnyNewerVersion)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/JDnsConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/JDnsConfigVersion.cmake
        DESTINATION ${JDNS_CONFIG_INSTALL_DIR})

install(EXPORT jdns-export DESTINATION ${JDNS_CONFIG_INSTALL_DIR} FILE JDnsTargets.cmake)
if(BUILD_QJDNS)
  install(EXPORT qjdns-export DESTINATION ${QJDNS_CONFIG_INSTALL_DIR} FILE QJDns${QT_MAJ}Targets.cmake)

  # cmake-modules
  configure_package_config_file(
    QJDns-qtConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/QJDns${QT_MAJ}Config.cmake"
    INSTALL_DESTINATION ${QJDNS_CONFIG_INSTALL_DIR})

  write_basic_config_version_file(QJDns${QT_MAJ}ConfigVersion.cmake VERSION ${JDNS_LIB_VERSION_STRING} COMPATIBILITY AnyNewerVersion)

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QJDns${QT_MAJ}Config.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/QJDns${QT_MAJ}ConfigVersion.cmake
          DESTINATION ${QJDNS_CONFIG_INSTALL_DIR})

  # Install QJDns config module which will automagically choose correct building of QJDns
  if(MULTI_QT)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/QJDnsConfig.cmake.in
                   ${CMAKE_CURRENT_BINARY_DIR}/QJDnsConfig.cmake
                   COPYONLY)

    write_basic_config_version_file(QJDnsConfigVersion.cmake VERSION ${JDNS_LIB_VERSION_STRING} COMPATIBILITY AnyNewerVersion)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QJDnsConfig.cmake
                  ${CMAKE_CURRENT_BINARY_DIR}/QJDnsConfigVersion.cmake
            DESTINATION ${QJDNS_COMMON_CONFIG_INSTALL_DIR})
  endif()

endif(BUILD_QJDNS)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/jdns/src/jdns/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
   target_link_libraries(jdns Ws2_32 Advapi32)
 endif(WIN32)
 
-if(NOT android)
+if(NOT ANDROID)
   set_target_properties(jdns PROPERTIES
                         VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                         SOVERSION ${JDNS_LIB_MAJOR_VERSION}
@@ -36,12 +36,23 @@
 #                     FRAMEWORK ${OSX_FRAMEWORK}
 )
 
-install(TARGETS jdns
+set(INCLUDES_DESTINATION "")
+if("${CMAKE_VERSION}" VERSION_LESS "2.8.12")
+  if(USE_RELATIVE_PATHS)
+    target_include_directories(jdns INTERFACE "${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR}/jdns")
+  else()
+    target_include_directories(jdns INTERFACE "${INCLUDE_INSTALL_DIR}/jdns")
+  endif()
+else()
+  set(INCLUDES_DESTINATION INCLUDES DESTINATION "${INCLUDE_INSTALL_DIR}/jdns")
+endif()
+
+install(TARGETS jdns EXPORT jdns-export
         LIBRARY DESTINATION ${LIB_INSTALL_DIR}
         RUNTIME DESTINATION ${BIN_INSTALL_DIR}
         ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 #       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
-        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
+        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns" ${INCLUDES_DESTINATION}
 )
 
 if(MSVC)

=== debian/changelog ===
zurl (1.11.0-2build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:24:28 +0000

zurl (1.11.0-2) unstable; urgency=medium

  * Create dbgsym package

 -- Jan Niehusmann <jan@debian.org>  Sun, 24 May 2020 21:17:06 +0200

zurl (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0

 -- Jan Niehusmann <jan@debian.org>  Thu, 04 Jul 2019 15:01:02 +0200

=== debian/control ===
Source: zurl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev (>= 7.60.0-2), libssl-dev (>= 1.1)
Standards-Version: 4.1.4
Homepage: https://github.com/fanout/zurl/
Vcs-Git: https://salsa.debian.org/jan/zurl.git
Vcs-Browser: https://salsa.debian.org/jan/zurl

Package: zurl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), libcurl4
Description: HTTP client worker with ZeroMQ interface
 This service allows one to trigger HTTP requests and to retrieve
 the responses via ZeroMQ.

## zurl 1.11.1

=== debian/changelog ===
zurl (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Update debian/watch

 -- Jan Niehusmann <jan@debian.org>  Sun, 30 Jan 2022 17:37:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zurl
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
+Maintainer: Jan Niehusmann <jan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev (>= 7.60.0-2), libssl-dev (>= 1.1)
 Standards-Version: 4.1.4
 Homepage: https://github.com/fanout/zurl/

=== debian/watch ===
version=4
https://github.com/fanout/zurl/releases .*/zurl-(\d\S+)\.tar\.bz2

## zurl 1.12.0

=== debian/changelog ===
zurl (1.12.0-3) unstable; urgency=medium

  * Remove dependency on libcurl4 (Closes: Bug#1107287)

 -- Jan Niehusmann <jan@debian.org>  Wed, 04 Jun 2025 22:00:46 +0200

zurl (1.12.0-2) unstable; urgency=medium

  * timer_callback must return CURLM_OK on success (Closes: Bug#1103005)

 -- Jan Niehusmann <jan@debian.org>  Sun, 01 Jun 2025 13:37:46 +0200

zurl (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Update debian/watch

 -- Jan Niehusmann <jan@debian.org>  Wed, 01 Nov 2023 18:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: zurl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), libcurl4
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
 Description: HTTP client worker with ZeroMQ interface
  This service allows one to trigger HTTP requests and to retrieve
  the responses via ZeroMQ.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --verbose
+	echo "CONFIG += debug" >>conf.pri
 
 override_dh_auto_install:
 	dh_auto_install -- INSTALL_ROOT="$(CURDIR)/debian/zurl"
